#include <plib.h>

// function to figure out what speed the CPU is running at
long long int main(void) {
    unsigned int i;
    i = (4000000 * (OSCCONbits.PLLMULT + 15)) >> OSCCONbits.PLLODIV;
    if(i == 44000000) i = 48000000;
    return i;
}
